<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrMoveOutMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrMoveOut">
            <id property="xhCodeId" column="xh_code_id" jdbcType="BIGINT"/>
            <result property="etpsId" column="ETPS_ID" jdbcType="VARCHAR"/>
            <result property="moutId" column="MOUT_ID" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="moutletnum" column="MOUTLETNUM" jdbcType="VARCHAR"/>
            <result property="minarea" column="MINAREA" jdbcType="VARCHAR"/>
            <result property="moutrea" column="MOUTREA" jdbcType="VARCHAR"/>
            <result property="minareregorg" column="MINAREREGORG" jdbcType="VARCHAR"/>
            <result property="moutdate" column="MOUTDATE" jdbcType="DATE"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        xh_code_id,ETPS_ID,MOUT_ID,
        PRIPID,MOUTLETNUM,MINAREA,
        MOUTREA,MINAREREGORG,MOUTDATE,
        S_EXT_DATATIME,uni_code
    </sql>
</mapper>
